Description

We can remove the following code because tmp/pdf directory that is used when generating pdf files is no longer used after r13358.

Curentry, the PDF library rbpdf uses tmp instead of tmp/pdf as a temporary directory.

diff --git a/lib/redmine/export/pdf.rb b/lib/redmine/export/pdf.rb

index 85beb8bdb..e43459b08 100644

--- a/lib/redmine/export/pdf.rb

+++ b/lib/redmine/export/pdf.rb

@@ -28,8 +28,6 @@ module Redmine

         attr_accessor :footer_date

         def initialize(lang, orientation='P')

-          @@k_path_cache = Rails.root.join('tmp', 'pdf')

-          FileUtils.mkdir_p @@k_path_cache unless File::exist?(@@k_path_cache)

           set_language_if_valid lang

           super(orientation, 'mm', 'A4')

           set_print_header(false)

Related issues:

Related to Redmine - Defect #12189: Missing tmp/pdf directory Closed

Associated revisions

Revision 19547 - 2020-02-29 16:13 - Go MAEDA

tmp/pdf directory is no longer necessary (#32924).

Patch by Go MAEDA.

History

#1 - 2020-01-30 04:51 - Go MAEDA

- Related to Defect #12189: Missing tmp/pdf directory added

#2 - 2020-02-04 06:21 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#3 - 2020-02-29 16:13 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#4 - 2020-02-29 16:13 - Go MAEDA

- Subject changed from Creating tmp/pdf directory is no longer necessary to tmp/pdf directory is no longer necessary
